Checkpoints on a branch, with commit, diffstat, and sessions
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"app_has_access": true,
"checkpoints": [
{
"additions": 123,
"agents": [
"<string>"
],
"apiCallCount": 123,
"attribution": {
"agentLines": 123,
"agentPercentage": 123,
"calculatedAt": "<string>",
"humanAdded": 123,
"humanModified": 123,
"humanRemoved": 123,
"totalCommitted": 123
},
"cacheCreationTokens": 123,
"cacheReadTokens": 123,
"checkpointId": "<string>",
"checkpointRepoFullName": "<string>",
"commitAuthor": "<string>",
"commitAuthorUsername": "<string>",
"commitBody": "<string>",
"commitDate": "<string>",
"commitMessage": "<string>",
"commitSha": "<string>",
"commitSubject": "<string>",
"createdAt": "<string>",
"deletions": 123,
"fileStats": [
{
"additions": 123,
"deletions": 123,
"filename": "<string>",
"status": "<string>",
"patch": "<string>",
"patchTruncated": true,
"previousFilename": "<string>"
}
],
"filesChanged": 123,
"filesTouched": [
"<string>"
],
"inputTokens": 123,
"outputTokens": 123,
"sessionCount": 123,
"sessions": [
{
"agent": "<string>",
"prompt": "<string>",
"steps": 123,
"attribution": {
"agentLines": 123,
"agentPercentage": 123,
"calculatedAt": "<string>",
"humanAdded": 123,
"humanModified": 123,
"humanRemoved": 123,
"totalCommitted": 123
},
"checkpointTranscriptStart": 123,
"createdAt": "<string>",
"displayName": "<string>",
"kind": "<string>",
"model": "<string>",
"sessionId": "<string>",
"skillEvents": [
{
"eventType": "<string>",
"skill": {
"name": "<string>"
},
"collapse": {
"defaultCollapsed": true,
"label": "<string>",
"target": "<string>"
},
"id": "<string>",
"native": {},
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
},
"timestamp": "<string>",
"transcriptAnchor": {
"end": 123,
"entryIds": [
"<string>"
],
"start": 123,
"toolUseId": "<string>",
"unit": "<string>"
},
"turnId": "<string>"
}
],
"tokenUsage": {
"apiCallCount": 123,
"cacheCreationTokens": 123,
"cacheReadTokens": 123,
"inputTokens": 123,
"outputTokens": 123
},
"transcriptIdentifierAtStart": "<string>"
}
],
"totalSteps": 123,
"commitAuthorAvatarUrl": "<string>"
}
],
"history_complete": true,
"history_status": "<string>",
"repo_full_name": "<string>",
"session_branch_exists": true,
"source": "<string>",
"updated_at": "<string>",
"$schema": "/api/v1/schemas/RepoCheckpointsOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Checkpoints
Checkpoints on a branch, with commit, diffstat, and sessions
GET
/
repos
/
{repo_id}
/
checkpoints
Checkpoints on a branch, with commit, diffstat, and sessions
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"app_has_access": true,
"checkpoints": [
{
"additions": 123,
"agents": [
"<string>"
],
"apiCallCount": 123,
"attribution": {
"agentLines": 123,
"agentPercentage": 123,
"calculatedAt": "<string>",
"humanAdded": 123,
"humanModified": 123,
"humanRemoved": 123,
"totalCommitted": 123
},
"cacheCreationTokens": 123,
"cacheReadTokens": 123,
"checkpointId": "<string>",
"checkpointRepoFullName": "<string>",
"commitAuthor": "<string>",
"commitAuthorUsername": "<string>",
"commitBody": "<string>",
"commitDate": "<string>",
"commitMessage": "<string>",
"commitSha": "<string>",
"commitSubject": "<string>",
"createdAt": "<string>",
"deletions": 123,
"fileStats": [
{
"additions": 123,
"deletions": 123,
"filename": "<string>",
"status": "<string>",
"patch": "<string>",
"patchTruncated": true,
"previousFilename": "<string>"
}
],
"filesChanged": 123,
"filesTouched": [
"<string>"
],
"inputTokens": 123,
"outputTokens": 123,
"sessionCount": 123,
"sessions": [
{
"agent": "<string>",
"prompt": "<string>",
"steps": 123,
"attribution": {
"agentLines": 123,
"agentPercentage": 123,
"calculatedAt": "<string>",
"humanAdded": 123,
"humanModified": 123,
"humanRemoved": 123,
"totalCommitted": 123
},
"checkpointTranscriptStart": 123,
"createdAt": "<string>",
"displayName": "<string>",
"kind": "<string>",
"model": "<string>",
"sessionId": "<string>",
"skillEvents": [
{
"eventType": "<string>",
"skill": {
"name": "<string>"
},
"collapse": {
"defaultCollapsed": true,
"label": "<string>",
"target": "<string>"
},
"id": "<string>",
"native": {},
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
},
"timestamp": "<string>",
"transcriptAnchor": {
"end": 123,
"entryIds": [
"<string>"
],
"start": 123,
"toolUseId": "<string>",
"unit": "<string>"
},
"turnId": "<string>"
}
],
"tokenUsage": {
"apiCallCount": 123,
"cacheCreationTokens": 123,
"cacheReadTokens": 123,
"inputTokens": 123,
"outputTokens": 123
},
"transcriptIdentifierAtStart": "<string>"
}
],
"totalSteps": 123,
"commitAuthorAvatarUrl": "<string>"
}
],
"history_complete": true,
"history_status": "<string>",
"repo_full_name": "<string>",
"session_branch_exists": true,
"source": "<string>",
"updated_at": "<string>",
"$schema": "/api/v1/schemas/RepoCheckpointsOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Authorizations
oauth2bearerAuth
OAuth 2.0 authorization code flow.
Path Parameters
Query Parameters
Branch to filter to; empty = the repo's default branch
Optional branch whose reachable commits are excluded: lists only checkpoints on commits reachable from branch but not from this one (git branch ^excludeBranch)
Page size, clamped to 1..1000
RFC 3339 lower bound on the checkpoint's anchoring commit date, inclusive (optional; unbounded by default)
RFC 3339 upper bound on the checkpoint's anchoring commit date, exclusive (optional; unbounded by default)
Response
OK
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"/api/v1/schemas/RepoCheckpointsOutputBody.json"
Was this page helpful?